import java.util.Random;

public class RobotEmilAgent {

	static final Random random = new Random(123);

	float[][][] ucb1Values = null;

	/**
	 * This method is called when the simulation engine requests the next action.
	 * You are given a position of the robot and the map of the environment.
	 *
	 * The top-left corner has coordinates (0,0). 
	 * 
	 * You can check whether there is an obstacle on a particular cell of the map 
	 * by querying map[x][y] == CellContent.OBSTACLE.
	 *
	 * There is one gold on the map. You can query whether a position contains gold by
	 * querying map[x][y] == CellContent.GOLD.
	 * 
	 * Further, there are several pits on the map. You can query whether a position contains pit by
	 * querying map[x][y] == CellContent.PIT.
	 *
	 * @param x the x-coordinate of the current position of robot
	 * @param y the y-coordinate of the current position of robot
	 * @param map the map of the environment
	 * @return action to perform in the next step
	 */

	public Action nextStep(int x, int y, CellContent[][] map) {
    	if (ucb1Values == null) {
    		DebugVis.initVis();
    		ucb1Values = new float[map.length][map[0].length][Action.values().length];
    		DebugVis.setStateActionValues(ucb1Values);
    	}
    	
    	/**** YOUR CODE HERE *****/

		return Action.EAST;
	}
}
